Last Comment Bug 329376 - upload control doesn't properly handle relevant and readonly MIPs
: upload control doesn't properly handle relevant and readonly MIPs
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
:
Mentors:
Depends on: 313118 331984
Blocks: 334603
  Show dependency treegraph
 
Reported: 2006-03-04 16:49 PST by aaronr
Modified: 2016-07-15 14:46 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (2.73 KB, application/xhtml+xml)
2006-03-04 16:50 PST, aaronr
no flags Details

Description aaronr 2006-03-04 16:49:36 PST
good starter bug

If it is supposed to be readonly, upload control doesn't initialize to readonly.  However, it will properly handle readonly after it is refreshed by user interaction.

Upload doesn't handle relevancy at all.

I'm guessing that it has to do with how it sets the intrinsic states during nsXFormsUploadElement::refresh.  It never takes into account the other intrinsic states.
Comment 1 aaronr 2006-03-04 16:50:05 PST
Created attachment 214041 [details]
testcase
Comment 2 Allan Beaufour 2006-03-06 04:11:02 PST
I was sure I filed a bug for this one... surkov also hit that not too long ago.
(In reply to comment #0)
> I'm guessing that it has to do with how it sets the intrinsic states during
> nsXFormsUploadElement::refresh.  It never takes into account the other
> intrinsic states.

Yes, it just sets enabled/disabled, and ignores everything else. Can be fixed as part of bug 313313.
Comment 3 aaronr 2006-03-07 10:55:28 PST
Might as well do a quick fix to make sure it is ready for 0.5.  Don't know if bug 313313 will be done by 0.5.  Reassigning to sspeiche.
Comment 4 Allan Beaufour 2006-04-24 06:46:17 PDT
With the mAppearDisabled from bug 313118, this should hopefully be fairly easy to fix. Fixing bug 313313 meanwhile might be easiest, but I'm not sure.
Comment 5 aaronr 2006-05-11 10:23:29 PDT
I started working on bug 313313, so I'll fix this one while I am in there.
Comment 6 aaronr 2006-09-14 13:04:15 PDT
made a small error in my patch for bug 313313.  Corrected error as part of patch for bug 331984, which should fix this bug, too.
Comment 7 alexander :surkov 2006-09-23 12:59:52 PDT
(In reply to comment #6)
> made a small error in my patch for bug 313313.  Corrected error as part of
> patch for bug 331984, which should fix this bug, too.
> 

Testcase works fine. So I guess too bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.